Download it now!
Bug 112664 - NSAccessibility - Remote Files dialog fails accessibility audit
Summary: NSAccessibility - Remote Files dialog fails accessibility audit
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: a11y-macOS
  Show dependency treegraph
 
Reported: 2017-09-26 13:51 UTC by Alex Thurgood
Modified: 2019-11-26 11:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Accessibility audit report (351.07 KB, application/zip)
2017-09-26 14:06 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2017-09-26 13:51:52 UTC
Description:
Virtually the whole of the Remote Files dialog fails Apple's accessibility audit and is lacking in sufficient accessibility options. This report details the various errors in this dialog thrown up by the accessibility inspector tool provided with XCode.



Steps to Reproduce:
1.Start LibreOfficeDev master
2. Start Accessibility Inspector (Xcode developer tool)
3. Attach Inspector to running LibreOfficeDev process
4. Click on StartCenter window.
5. Click on the Remote Files button
5. Run Audit from Inspector tools



Actual Results:  
Various elements of the dialog do not meet Apple's accesibility guidelines.


Audit Results

Screen:Screen1
Fullscreen image:
Issue Number: 0
Error code: 13
Short Description: Contrast failed
Long Description: Contrast failed for AquaA11yWrapperStaticText Service:
Thumbnail:



Issue Number: 1
Error code: 13
Short Description: Contrast failed
Long Description: Contrast failed for AquaA11yWrapperStaticText Filter
Thumbnail:



Issue Number: 2
Error code: 13
Short Description: Contrast failed
Long Description: Contrast failed for AquaA11yWrapperStaticText File name
Thumbnail:



Issue Number: 3
Error code: 13
Short Description: Contrast failed
Long Description: Contrast failed for NSAccessibilityReparentingCellProxy Remote Files
Thumbnail:



Issue Number: 4
Error code: 150000
Short Description: Element has no description
Long Description: This AquaA11yTableWrapper is missing useful accessibility information.
Thumbnail:



Issue Number: 5
Error code: 150000
Short Description: Element has no description
Long Description: This AquaA11yTableWrapper is missing useful accessibility information.
Thumbnail:



Issue Number: 6
Error code: 150004
Short Description: Element may need a title
Long Description: This AquaA11yWrapper is missing contextual information to know its functionality.
Thumbnail:



Issue Number: 7
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapper is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:



Issue Number: 8
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapper is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:



Issue Number: 9
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapper is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:



Issue Number: 10
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapper is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:



Issue Number: 11
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapperButton is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:



Issue Number: 12
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapper is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:



Issue Number: 13
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapper is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:



Issue Number: 14
Error code: 151000
Short Description: Action is missing
Long Description: This AquaA11yWrapper is missing accessibility action support equivalent to click/tap inputs.
Thumbnail:





Expected Results:
Fix Suggestion:
Consider setting the accessibilityLabel.

If a static text label is nearby to provide context for this element, reference that label as the accessibilityTitleUIElement. Otherwise, provide an accessibilityLabel.




Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Alex Thurgood 2017-09-26 14:06:26 UTC
Created attachment 136545 [details]
Accessibility audit report

Enclosing a report (zipped, otherwise > 10Mb) produced by the Accessibility Inspector tool when opening the Remote Files dialog
Comment 2 QA Administrators 2019-06-05 02:54:08 UTC
Dear Alex Thurgood,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug